Em-Hub Wiki Android Docs iOS Docs Support

- Index
- Hierarchy

# EMConnectionTypeScannerDelegate Protocol Reference

Conforms to | NSObject
Declared in | EMConnectionType.h

## Overview

These methods are sen tto the connection delegate to inform it of devices that come available or go offline.

## Tasks

- `– deviceScanner:didFindDevice:`

  Tells the delegate a device was found.

  required method
- `– deviceScanner:didLoseDevice:`

  Tells the delegate a device was lost.

  required method
- `– deviceScanner:didUpdateDevice:`

  Updates the data for a device description

  required method

## Instance Methods

### deviceScanner:didFindDevice:

Tells the delegate a device was found.

`- (void)deviceScanner:(id)scanner didFindDevice:(EMDeviceBasicDescription *)device`

#### Discussion

Tells the delegate a device was found.

#### Declared In

`EMConnectionType.h`

### deviceScanner:didLoseDevice:

Tells the delegate a device was lost.

`- (void)deviceScanner:(id)scanner didLoseDevice:(EMDeviceBasicDescription *)device`

#### Discussion

Tells the delegate a device was lost.

#### Declared In

`EMConnectionType.h`

### deviceScanner:didUpdateDevice:

Updates the data for a device description

`- (void)deviceScanner:(id)scanner didUpdateDevice:(EMDeviceBasicDescription *)device`

#### Discussion

Updates the data for a device description

#### Declared In

`EMConnectionType.h`

- Index
- Hierarchy

© 2014 Emmoco, Inc.. All rights reserved. (Last updated: 2014-02-21)
Generated by appledoc 2.2 (build 961).